static const char *RcsId = "$Id $";
//+=============================================================================
//
// file :         Keithley6221StateMachine.cpp
//
// description :  C++ source for the Keithley6221 and its alowed 
//                methods for commands and attributes
//
// project :      TANGO Device Server
//
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source:  $
// $Log:  $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <Keithley6221.h>
#include <Keithley6221Class.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace Keithley6221_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_autoRange_allowed
// 
// description : 	Read/Write allowed for autoRange attribute.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_autoRange_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_current_allowed
// 
// description : 	Read/Write allowed for current attribute.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_range_allowed
// 
// description : 	Read/Write allowed for range attribute.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_range_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_AutoRangeOFF_allowed
// 
// description : 	Execution allowed for AutoRangeOFF command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_AutoRangeOFF_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_AutoRangeON_allowed
// 
// description : 	Execution allowed for AutoRangeON command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_AutoRangeON_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_GetRange_allowed
// 
// description : 	Execution allowed for GetRange command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_GetRange_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_Off_allowed
// 
// description : 	Execution allowed for Off command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_Off_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_On_allowed
// 
// description : 	Execution allowed for On command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_On_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_RangeDOWN_allowed
// 
// description : 	Execution allowed for RangeDOWN command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_RangeDOWN_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Keithley6221::is_RangeUP_allowed
// 
// description : 	Execution allowed for RangeUP command.
//
//-----------------------------------------------------------------------------
bool Keithley6221::is_RangeUP_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace Keithley6221_ns
